[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'typinfo' (#rtl)

# TMethodKind

Method type description

## Declaration

Source position: typinfo.pp line 53

`type TMethodKind = (`
`mkProcedure,` |  | Procedure method.
`mkFunction,` |  | Function method
`mkConstructor,` |  | Class constructor
`mkDestructor,` |  | Class Desctructor
`mkClassProcedure,` |  | Class procedure
`mkClassFunction,` |  | Class function
`mkClassConstructor,` |  | Class constructor method.
`mkClassDestructor,` |  | Class destructor method.
`mkOperatorOverload` |  | Operator overloader
`);`

Documentation generated on: Feb 26 2014